﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace PDFViewerWintRT
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class View : Page
    {
        public View()
        {
            this.InitializeComponent();
            this.DataContext = this;
            mainPage = new MainPage();
        }
        private MainPage mainPage;
        public MainPage Main
        {
            get
            {
                return mainPage;
            }
            set
            {
                mainPage = value;
            }
        }
        public Frame NaviFrame
        {
            get
            {
                return this.Frame;
            }
        }
        protected override async void OnNavigatedTo(NavigationEventArgs e)
        {
            PdfLoadedDocument ldoc = e.Parameter as PdfLoadedDocument;
            //PdfPageBase page = ldoc.Pages.Add();//[0];



            //PdfGraphics g = page.Graphics;
            //PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 14, PdfFontStyle.Bold);
            //g.DrawString("Polygon", font, PdfBrushes.DarkBlue, new PointF(50, 0));
            PdfPen pen = new PdfPen(new PdfColor(255, 0, 0), 2);
            var path = new PdfPath();


            path.AddLine(50, 50, 100, 100);

            //g.DrawPath(pen, path);
            ldoc.Pages[0].Graphics.DrawPath(pen, path);
            mainPage.LoadDocument(ldoc);
            
        }

      
    }
}
